Name: qwtpolar
Version: 0.1.0
Release: alt1
Summary: A Qwt/Qt Polar Plot Library
License: QWT
Group: Development/KDE and QT
Url: http://qwtpolar.sourceforge.net/
Packager: Boris Savelev <boris@altlinux.org>

Source: http://downloads.sourceforge.net/project/qwtpolar/qwtpolar/%version/%name-%version.tar.bz2

# Automatically added by buildreq on Sun Nov 16 2008
BuildRequires: gcc-c++ libqt3-devel libqt4-devel libqwt-devel

%description
The QwtPolar library contains classes for displaying values on a polar coordinate system.
It is an addon package for to the Qwt Library.

%package -n lib%name
Summary: A Qwt/Qt Polar Plot Library
Group: Development/KDE and QT

%description -n lib%name
Contains %name shared library

%package -n lib%name-devel
Summary: Header files for %name
Group: Development/KDE and QT
Requires: lib%name = %version-%release
Requires: libqwt-devel

%description -n lib%name-devel
Header files for %name

%package -n lib%name-qt3-designer
Requires: lib%name = %version-%release
Summary: %name qt3 designer plugin
Group: Development/KDE and QT

%description -n lib%name-qt3-designer
%name designer plugin.

%package -n lib%name-qt4-designer
Requires: lib%name = %version-%release
Summary: %name qt4 designer plugin
Group: Development/KDE and QT

%description -n lib%name-qt4-designer
%name designer plugin.

%prep
%setup -q
# install to buildroot
sed -i 's|/usr/local/%name-%version|%prefix|g' %name.pri
# install headers to libqwt-devel directory
sed -i 's|$$INSTALLBASE/include|$$INSTALLBASE/include/qwt|g' %name.pri
# install doc
sed -i 's|$$INSTALLBASE/doc|%_datadir/%name|g' %name.pri
# fix path to libqwt headers
sed -i 's|/path/to/qwt-5.2/include|%_includedir/qwt|g' %name.pri
# fix path to libqwt libs
sed -i 's|/path/to/qwt-5.2/lib|%_libdir|g' %name.pri

sed -i 's|$$INSTALLBASE/lib$|$$INSTALLBASE/%_lib|g' %name.pri

%build
qmake-qt4
%make

cd designer
mv plugins plugins-qt4
qmake-qt3
%make

%install
INSTALL_ROOT=%buildroot %makeinstall_std
install -d %buildroot%_qt4dir/plugins/designer
install -m644 designer/plugins-qt4/designer/*.so %buildroot%_qt4dir/plugins/designer

%files -n lib%name
%doc CHANGES COPYING
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/qwt/*.h
%_libdir/*.so
%_datadir/%name

%files -n lib%name-qt3-designer
%_qt3dir/plugins/designer/*.so

%files -n lib%name-qt4-designer
%_qt4dir/plugins/designer/*.so

%changelog
* Sat Sep 05 2009 Boris Savelev <boris@altlinux.org> 0.1.0-alt1
- new version (0.1.0) 

* Sun Nov 16 2008 Boris Savelev <boris@altlinux.org> 0.0.3-alt1
- initial build for Sisyphus

